Excellent - but it NEEDS TO WORK WITH FIREFOX 3.5!!! Rated 5 out of 5 stars

Excellent - but it NEEDS TO WORK WITH FIREFOX 3.5!!!

This review is for a previous version of the add-on (1.2.6).